## org.hibernate.action
Class DelayedPostInsertIdentifier

    java.lang.Object
      org.hibernate.action.DelayedPostInsertIdentifier

All Implemented Interfaces:
  Serializable

    public class DelayedPostInsertIdentifier

extends Object
implements Serializable

Acts as a stand-in for an entity identifier which is supposed to be generated on insert (like an IDENTITY column) where the insert needed to be delayed because we were outside a transaction when the persist occurred (save currently still performs the insert).

The stand-in is only used within the `PersistenceContext` in order to distinguish one instance from another; it is never injected into the entity instance or returned to the client...

Author:
  Steve Ebersole
See Also:
  Serialized Form

Constructor Summary
`DelayedPostInsertIdentifier()`

Method Summary
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DelayedPostInsertIdentifier

    public DelayedPostInsertIdentifier()

Method Detail

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.